      program maxmin
c     Fogarasi Szilvia met2
      real y(366)
c     a h‹m‚rs‚kleti adatsor
      integer k
c     ennyi bemen‹ adat van
      real h,b
c     v ltoz¢ h: minimum b: maximum keres‚s‚re
      integer i,m,a
c     indexsz mok
      real p
c     £jrakezd‚shez

c     adatok beolvas sa

14    continue
      write(*,71)
71    format('H ny napos adatsor?')
      read(*,72)k
72    format(i3)
      if((k.gt.1).and.(k.lt.366)) goto 11
      write(*,73)
73    format('A napok sz ma min. 2 ‚s max. 366 lehet.')
      goto 14
11    continue
      do 51 i=1,k
         write(*,74)i
74       format('Be¡rand¢ adat sorsz ma:',i3)
         read(*,75)y(i)
75       format(f6.0)
51    continue

c     ”nellen‹rz‹ adatfelsorol s:

      do 52 i=1,k
      write(*,76)i,y(i)
76    format('y(',i3,')=',f6.0)
52    continue

c     a minimum keres‚se

      m=1
      h=y(1)
      do 53 i=m,k
         if(h.lt.y(i)) goto 12
            m=i
            h=y(i)
12       continue
53    continue


c     a maximum keres‚se

      a=1
      b=y(1)
      do 54 i=a,k
         if(b.gt.y(i)) goto 13
            a=i
            b=y(i)
13       continue
54    continue

c     minimum ‚s maximum ki¡r sa

      write(*,77)m,h
77    format('MIN: ennyiedik nap:',i3,'  ennyi volt a T:',f6.0)

      write(*,78)a,b
78    format('MAX: ennyiedik nap:',i3,'  ennyi volt a T:',f6.0)


      write(*,79)
79    format('folytatod? nyomj 2-est!')
      read(*,80)p
80    format(f6.0)
      if(p.eq.2) goto 14
      end
